Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eteks.forum
Class ConnecteurForum

    java.lang.Object
      com.eteks.forum.ConnecteurForum

    public class ConnecteurForum

extends java.lang.Object

Connecteur creant une connexion JDBC pour la base du forum et creant les tables UTILISATEUR et MESSAGE si necessaire.

Constructor Summary
`ConnecteurForum()`

Method Summary
`void` | `fermerConnexion()`
`java.sql.Connection` | `getConnexion()`
`void` | `setChaineConnexion(java.lang.String chaineConnexion)`
`void` | `setDriver(java.lang.String driver)`
`void` | `setLogin(java.lang.String login)`
`void` | `setPassword(java.lang.String password)`
`protected boolean` | `verifierTable(java.sql.Connection connexion, java.lang.String table)`
`protected void` | `verifierTables(java.sql.Connection connexion)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnecteurForum

    public ConnecteurForum()

Method Detail

### setDriver

    public void setDriver(java.lang.String driver)
                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setChaineConnexion

    public void setChaineConnexion(java.lang.String chaineConnexion)
                            throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setLogin

    public void setLogin(java.lang.String login)
                  throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setPassword

    public void setPassword(java.lang.String password)
                     throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### fermerConnexion

    public void fermerConnexion()
                         throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getConnexion

    public java.sql.Connection getConnexion()
                                     throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### verifierTables

    protected void verifierTables(java.sql.Connection connexion)
                           throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### verifierTable

    protected boolean verifierTable(java.sql.Connection connexion,
                                    java.lang.String table)
                             throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD